DOCKER(1)

NAME

docker-swarm-join - Join a swarm as a node and/or manager

SYNOPSIS

docker swarm join [OPTIONS] HOST:PORT

DESCRIPTION

Join a swarm as a node and/or manager

OPTIONS

--advertise-addr=""
    Advertised address (format: <ip|interface>[:port])

--availability="active"
    Availability of the node ("active"|"pause"|"drain")

--listen-addr=0.0.0.0:2377
    Listen address (format: <ip|interface>[:port])

--token=""
    Token for entry into the swarm

SEE ALSO

docker-swarm(1)